/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira.benchmark
 */
package net.ranides.assira.trace;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class NSTException1 extends RuntimeException {

    
    public NSTException1(String message) {
        super(message);
        setStackTrace(new StackTraceElement[]{
            new StackTraceElement(TraceUtils.getCallerName(), "unknown", null, -1)
        });
    }

    @Override
    public synchronized Throwable fillInStackTrace() {
        return this;
    }
    
}
